import java.util.*;
import static java.lang.System.out;
public class CalendarTest {
	public static void main(String... args){
		Calendar calendar = Calendar.getInstance();
		calendar.setTime(new Date());
		String  year=String.valueOf(calendar.get(Calendar.YEAR)),
			month=String.valueOf(calendar.get(Calendar.MONTH)+1),
			//注意，月份是以 0 起算的，所以 3 是四月。
			day=String.valueOf(calendar.get(Calendar.DAY_OF_MONTH)),
			week=String.valueOf(calendar.get(Calendar.DAY_OF_WEEK)-1);

		int hour = calendar.get(Calendar.HOUR_OF_DAY),
			minute = calendar.get(Calendar.MINUTE),
			second = calendar.get(Calendar.SECOND);

		out.println("现在的时间是：");
		out.println(year+"年"+month+"月"+day+"日"+"星期"+week);
		out.println(hour+"时"+minute+"分"+second+"秒");

		calendar.set(2004,7,8);  //将日历翻到2004年8月8日，注意7表示八月
		long time2004 = calendar.getTimeInMillis();
		calendar.set(2008,7,8);  //将日历翻到2008年8月8日
		long time2008 = calendar.getTimeInMillis();
		long days = (time2008-time2004)/(1000*60*60*24);
		out.println("\n2008年8月8日和2004年8月8日相隔"+days+"天");
	}
}
